d("customSubscriptionModel", ["ccrz", "log"], function(CCRZ, LOG){
    CCRZ.models.hbegress_customSubscriptionModel = CCRZ.CloudCrazeModel.extend({
        className : "DCMB2B_subscription_controller",
        renewSubscription: function( reqData,callback){ 
            this.invokeCtx('renewSubscription',
            reqData, 
                function(resp, evt){ 
                    if(callback){
                        callback(resp,evt);
                    }            
                }, 
                { 
                    buffer:false, 
                    nmsp : false 
                } 
            );
        },
        saveAccount: function( reqData,callback){ 
            this.invokeCtx('saveAccount',
            reqData, 
                function(resp, evt){ 
                    if(callback){
                        callback(resp,evt);
                    }            
                }, 
                { 
                    buffer:false, 
                    nmsp : false 
                } 
            );
        },
        saveSubscPreferences: function( reqData,callback){ 
            this.invokeCtx('saveSubscPreferences',
            reqData, 
                function(resp, evt){ 
                    if(callback){
                        callback(resp,evt);
                    }            
                }, 
                { 
                    buffer:false, 
                    nmsp : false 
                } 
            );
        }
    });
    return CCRZ.models.hbegress_customSubscriptionModel;
});